/*:
 * @plugindesc This plugin will pause the game. Just use the script command "SceneManager.goto(Pause_Scene);". 
 * @author Grandro
 * @help 
 * Free for non-commercial and commercial games.
 */

function Window_Pause() {
    this.initialize.apply(this, arguments);
}

Window_Pause.prototype = Object.create(Window_Base.prototype);
Window_Pause.prototype.constructor = Window_Pause;

Window_Pause.prototype.initialize = function(x, y) {
    var width = this.windowWidth();
    var height = this.windowHeight();
    Window_Base.prototype.initialize.call(this, x, y, width, height);
    this.refresh();
};

Window_Pause.prototype.windowWidth = function() {
    // Window Width
	return 106;
};

Window_Pause.prototype.windowHeight = function() {
    // Window Height
	return 65;
};

Window_Pause.prototype.refresh = function() {
    var x = this.textPadding();
    var width = this.contents.width - this.textPadding() * 2;
    this.contents.clear();
	// Displayed Text
	this.drawTextEx ("Pause",0,0);
	
	
};

Window_Pause.prototype.open = function() {
    this.refresh();
    Window_Base.prototype.open.call(this);
};

function Pause_Scene() {
    this.initialize.apply(this, arguments);
}

Pause_Scene.prototype = Object.create(Scene_MenuBase.prototype);
Pause_Scene.prototype.constructor = Pause_Scene;

Pause_Scene.prototype.initialize = function() {
    Scene_MenuBase.prototype.initialize.call(this);
};

Pause_Scene.prototype.create = function() {
    Scene_MenuBase.prototype.create.call(this);
    this.createSampleWindow();
};

Pause_Scene.prototype.createSampleWindow = function() {
    this._windowSample = new Window_Pause(0, 0);
    this._windowSample.x = Graphics.width  / 2 - 50;
    this._windowSample.y = Graphics.height / 2 - 30; 
    this.addWindow(this._windowSample);
}

Pause_Scene.prototype.update = function() {
    Scene_MenuBase.prototype.update.call(this);
	if (TouchInput._x >= 0) {
        SceneManager.goto(SceneManager._previousClass);
		$gameMap._interpreter.wait(8);
		Pause = 0;
    }
}

Pause_Scene.prototype.start = function() {
    Scene_MenuBase.prototype.start.call(this);
    this._windowSample.refresh();
};﻿